Bug 789216

Summary: /dev/disk/by-path loses a harddrive
Product: [Fedora] Fedora Reporter: John Reiser <jreiser>
Component: systemdAssignee: udev-maint
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 19CC: gansalmon, harald, itamar, johannbg, jonathan, jsynacek, kernel-maint, lnykryn, madhu.chinakonda, msekleta, s, systemd-maint, udev-maint, vpavlin, zbyszek
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-01-04 21:49:06 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
ls -lR /dev/disk
none
lspci; lspci -n; lspci -v
none
syslog during boot of anaconda installer none

Description John Reiser 2012-02-10 00:34:25 EST
Created attachment 560775 [details]
ls -lR /dev/disk

Description of problem:  /dev/disk/by-path shows only 3 harddrives, but in fact there are four.

Version-Release number of selected component (if applicable):
kernel-3.3.0-0.rc3.git0.2.fc17.x86_64

How reproducible: every time


Steps to Reproduce:
1. boot; inspect /dev/disk/by-path
2.
3.
  
Actual results: only 3 harddrives are listed:
-----
pci-0000:00:06.0-scsi-0:0:0:0 -> ../../sda
pci-0000:00:06.0-scsi-0:0:1:0 -> ../../sdb
pci-0000:00:07.0-scsi-0:0:0:0 -> ../../sde
-----
Note that ../../sdd is missing.  [../../sdc is an empty ZIP-100 drive attached to IDE Secondary slave.]

This shows up in graphical table of drives during anaconda installation of Fedora 17 Alpha TC2 as:
-----
ATA MAXTOR STM332062   305245 MB   pci:0000:00:06.0-scsi-0:0:1:0   (EIDE)
ATA ST3320620AS        305245 MB   pci:0000:00:07.0-scsi-0:0:0:0   (EIDE)
ATA WDC WDC3200AAJB-0  305245 MB   pci:0000:00:06.0-scsi-0:0:0:0   (SATA)
ATA WDC WDC5000AAKS-0  476940 MB   pci:0000:00:07.0-scsi-0:0:0:0   (SATA)
-----
Note that the "pci:..." of line 4 is the same as line 2.

Expected results: all 4 harddrives appear


Additional info: Actual hardware configuration is:
-----
IDE Primary   master: ATA     MAXTOR STM332062   sda
IDE Primary   slave:  ATA     ST3320620AS        sdb
IDE Secondary master: SONY    DVD RW AW-G170A       sr0
IDE Secondary slave:  IOMEGA  ZIP 100            sdc  [drive is empty]
SATA1:                ATA     ST3320620AS        sdd
SATA2:                ATA     WDC WD5000AAKS-0   sde
-----
Comment 1 John Reiser 2012-02-10 00:36:24 EST
Sorry,  SATA1 is ATA WDC WDC3200AAJB-0.
Comment 2 John Reiser 2012-02-10 00:40:01 EST
Created attachment 560776 [details]
lspci; lspci -n; lspci -v

The main chipset is nVidia Corporation CK804.
Comment 3 John Reiser 2012-02-10 00:41:59 EST
Created attachment 560777 [details]
syslog during boot of anaconda installer
Comment 4 Josh Boyer 2012-02-10 10:21:52 EST
udev creates /dev/disk/by-path/ entries as far as I know.  The other listings you have show the kernel found the device, so I don't see this as a kernel problem.
Comment 5 Fedora End Of Life 2013-04-03 13:56:28 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 6 Lennart Poettering 2015-01-04 21:49:06 EST
This appears to be a FEdora 17 bug. If this is still an issue on a current, supported version of Fedora, please reopen.